Copyright: Copyright (c) 1995 Digital Equipment Corp.


Contents
DEC FDDIcontroller/EISA and DEC FDDIcontroller/PCI

Microsoft Windows NT Driver Installation Notes

The Contents lists Help topics available for the Digital FDDI controllers.  Use the scroll bar to see entries not currently visible in the Help window.

To learn how to use Help, press F1 or choose Using Help from the Help menu.

Installation Customization

Advanced Customization

Interpreting Event Viewer Entries

Additional Information

DEC, Digital, and DECpc are trademarks of Digital Equipment Corporation.  Microsoft, MS, and MS-DOS are registered trademarks and Windows and Windows NT are trademarks of Microsoft Corporation.


Additional Information

For the latest software updates and electronic documentation on your controllers, connect to Digitals anonymous FTP server at URL:

ftp://ftp.digital.com/pub/DEC/adapters

For the latest information on Digital Equipment products and services, visit our World Wide Web (WWW) server at URL:

http://www.digital.com/


Customization
Installation Customization

For most configurations, no customization of the driver should be necessary.

However, a number of parameters are available for users to change by

selecting Configure after highlighting the desired DEC FDDIcontroller

under Network Settings.

Receive Buffers

Transmit Buffers

Requested TTRT (ms)

Full Duplex Enable


Receive Buffers

This parameter affects the maximum number of host receive buffers that

can be used by the adapter at one time.  Although this number is small,

increasing it is not likely to increase performance since the adapter

itself provides a large amount of on-board receive buffering (~1MByte).

Value Name:	RcvBuffCnt

Data Type:	REG_DWORD

Values:	2, 4, 8

Default:	4


Transmit Buffers

This parameter affects the maximum number of map registers that can

be allocated by the adapter.  During packet transmission, an

NDIS_PACKET may be comprised of several NDIS_BUFFERs where

each NDIS_BUFFER requires a map register for physical DMA (Direct

Memory Access).  The default is within NDIS 3.0 specification, but the

adapter may be able to handle more outstanding transmit packets if

this value is increased.  However, map registers are a limited system

resource and arbitrarily increasing this parameter may make this

adapter or other adapters in the system unusable.  Arbitrarily lowering

this parameter may impact driver performance or cause undesired

behavior.

Value Name:	XmtBuffCnt

Data Type:	REG_DWORD

Values:	8, 16, 32, 64, 128

Default:	32


Requested TTRT
Requested TTRT (ms)

This parameter affects the MACTReq SMT MIB object.  FDDI selects

the target token rotation time during the claim process (e.g. when an

FDDI node has entered or left the ring).  During this time, each FDDI

node offers its requested TTRT (MACTReq MIB object) and the lowest

bidder wins.  Normally this parameter does NOT need to be modified

from the default of 8ms.  However, some installations may set this

value arbitrarily high on end node stations so that the requested TTRT

can be more easily managed from an FDDI concentrator or switch.

This parameter should only be modified by experienced FDDI network

managers.

Value Name:	RequestedTTRT

Data Type:	REG_DWORD

Values:	4-165

Default:	8


Full Duplex Enable

This parameter affects the eFDXEnable private MIB object.  Digital

FDDI adapters are in Full-Duplex (FDX) mode when the mode setting

is enabled and the adapter is connected point-point with another

similarly enabled FDDI adapter or an FDX capable FDDI switch, like

the Digital GIGAswitch/FDDI.  FDX mode takes advantage of the

point-point connection by removing the FDDI token and allowing

simultaneous receive and transmit of packets.  FDX mode will help

reduce latency and may increase network throughput if the adapter

is nearing the standard FDDI maximum throughput.

The OFF and ON radio buttons in the dialog box translate to the

values 2 and 1, respectively, in the Registry.

Value Name:	FullDuplexEnable

Data Type:	REG_DWORD

Values:	2, 1

Default:	2


Advanced Customization

There are additional custom parameters which may be added to the Registry by

using the Registry Editor.  These parameters can be added to the following

subtrees:

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Defea?\Parameters

and

HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Defpa?\Parameters

where ? is an integer indicating the specific hardware instance of this controller.

These parameters should only be added or modified by experienced Windows NT

system managers.

Maximum Frame Size

Static Transmit Buffer Count


Maximum Frame Size

This parameter affects the maximum advertised frame size by the

driver.  The maximum FDDI frame size (not including the FDDI frame

header or 4-byte CRC) is 4478 bytes.  The protocols supported by

Windows NT normally handle frame size negotiation, but there may

be a need to lower the frame size from the default.  Care should be

taken before adding this parameter since the maximum performance

of the adapter will be impacted by lowering the maximum frame size.

Value Name:	MaxFrameSize

Data Type:	REG_DWORD

Values:	3-4478

Default:	4478


Static Transmit Buffer Count

This parameter affects the number of static transmit buffers the

driver allocates during initialization.  For performance reasons,

the driver normally DMAs directly from the transmit buffers

(See Transmit Buffers) sent by the operating system.  However,

its possible that the driver has an insufficient number of map

registers to queue the transmit request.  Rather than drop the

request, the driver will buffer copy the transmit packet data into

an available static transmit buffer and queue the static buffer.

To reduce the amount of system resources needed by this driver,

the default number of static transmit buffers is kept low.  This

parameter can be used to increase this number.

Value Name:	StaticXmtBuffCnt

Data Type:	REG_DWORD

Values:	2, 4, 8, 16, 32, 64, 128

Default:	2


Interpreting Event Viewer Entries

Note: During runtime operation, the operating system enables a watchdog

          timer that polls the driver on a regular basis to verify that it is

          operational.  Should the driver return status indicating that it is not

          operational, the operating system will reset the driver.  If the driver reset

          is successful, it returns to normal operation.  Otherwise, the adapter

          is halted.  This process is automatic and does not require user

          intervention.  However, should the system performance become sporadic

          with constant driver event viewer entries being added, the user should

          verify that the driver is not being constantly reset.  If it is, shutdown the

          machine and restart the system.  If the problem persists, run the

          diagnostics on the adapter.

When the driver detects errors, it may write entries into the event log file.

These events can be viewed by running the Event Viewer.  To interpret the

error code, examine the entry that was written by the driver and read the

last longword that is contained in the entry.

Unless otherwise stated, the following error codes apply to both the

DEC FDDIcontroller/EISA (DEFEA.SYS) and DEC FDDIcontroller/PCI

(DEFPA.SYS) drivers.

The following table describes the interpretation of the longword:

Longword	Description

0x00	There is no specific information detailing the error.
0x01	Registry configuration data could not be opened for this adapter.  The Registry is possibly corrupted.
0x02	Could not allocate shared memory. Verify that system has enough memory to run Windows NT.  If running Windows NT 3.5, install Service Pack 2 (SP2) or greater. Reduce Receive Buffers and Static Transmit Buffer Count parameters if increased from default.
0x03	No DEC FDDIcontroller/PCI controller found in system, or no controller found for this Registry entry.  Verify that number of controllers installed matches the number configured.  DEFPA.SYS driver only.
0x04	Too many DEC FDDIcontrollers installed.  DEFEA.SYS driver supports up to four (4) DEC FDDIcontroller/EISA controllers per system.  DEFPA.SYS driver supports up to eight (8) DEC FDDIcontroller/PCI controllers per system.
0x05	Could not read factory MAC address (MLA) from adapter.
0x06	Receive buffer count (RcvBuffCnt) parameter missing or incorrect in Registry.
0x07	Transmit buffer count (XmtBuffCnt) parameter missing or incorrect in Registry.
0x08	Burst size (BurstSize) parameter missing or incorrect in Registry.
0x09	FDDI Full Duplex (FullDuplexEnable) parameter missing or incorrect in Registry.
0x0A	Requested Target Token Rotation Time (RequestedTTRT) parameter missing or incorrect in Registry.
0x0B	EISA slot (SlotNumber) parameter missing or incorrect in Registry.  DEFEA.SYS driver only.
0x0C	Unsupported 0K host memory option selected during EISA configuration of adapter.  DEFEA.SYS driver supports only 1K or larger memory options.
0x0D	Interrupt level (IRQ) not set or invalid in PCI Configuration Table for this adapter.  If system allows for user-configuration of PCI slots, verify that a proper IRQ value has been set.  DEFPA.SYS driver only.
0x0E	PCI adapter not installed in Bus Master slot or Bus Mastering not enabled.  DEFPA.SYS driver only.
0x0F	Memory space not enabled in PCI Configuration Table.  This can be caused by not having PCI slot enabled during PCI system configuration.  DEFPA.SYS driver only.
0x10	I/O space not enabled in PCI Configuration Table.  This can be caused by not having PCI slot enabled during PCI system configuration.  DEFPA.SYS driver only.
0x11	The adapter indicated a Non-Existent Memory (NXM) error.  Run diagnostics on adapter.  If the diagnostics fail or if error occurs regularly, have the adapter replaced.
0x12	The adapter indicated a packet memory parity error.  Run diagnostics on adapter.  If the diagnostics fail or if error occurs regularly, have the adapter replaced.
0x13	The adapter indicated a host bus parity error.  Run diagnostics on adapter.  If the diagnostics fail or if error occurs regularly, have the adapter replaced.
0x14	The adapter transitioned to the HALT state.  Run diagnostics on adapter.  If the diagnostics fail or if error occurs regularly, have the adapter replaced.
0x15	The receive FMC had a descriptor or other kind of error.  If error occurs regularly, have the adapter replaced.
0x16	The adapter had a miscellaneous descriptor error.  If error occurs regularly, have the adapter replaced.
0x17	The transmit packet flush operation could not be completed.  If error occurs regularly, have the adapter replaced.
0x18	The adapter could not be reset.  The adapter may have a hardware fault.
0x19	The adapter node address override could not be set.
0x1A	Could not allocate map registers needed for proper transmit packet operation.  Verify that system has enough memory to run Windows NT.  If running Windows NT 3.5, install Service Pack 2 (SP2) or greater.  Reduce Transmit Buffers parameter if increased from default.
0x1B	Could not allocate normal (regular) system memory.  Verify that system has enough memory to run Windows NT.
0x1C	Could not register adapter memory mapped space with operating system.  If DEFEA.SYS driver, verify that an exclusive (non shared) area of host memory was configured for this adapter during EISA configuration.  A 1K memory block is recommended for this adapter.  If DEFPA.SYS driver, memory address is normally set by system and is not user configurable.
0x1D	Could not register adapter I/O mapped space with operating system.  If DEFEA.SYS driver, I/O port addresses are based on EISA physical slot numbers and normally cannot conflict.  If DEFPA.SYS driver, I/O address is normally set by system and is not user configurable.
0x1E	Driver attempted to change adapter state, but failed.  This may indicate a reset failure or hardware problem. Run diagnostics on adapter.  If the diagnostics fail or if error occurs regularly, have the adapter replaced.
0x1F	Maximum frame size (MaxFrameSize) parameter is incorrect in Registry.
0x20	Static transmit buffer count (StaticXmtBuffCnt) parameter is incorrect in Registry.
0x21	Bus number (BusNumber) parameter is missing or incorrect in Registry.
0x22	PCI slot number (SlotNumber) parameter is missing or incorrect in Registry. DEFPA.SYS driver only.